##
##  pureftpd.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pureftpd
Summary:      Alternative FTP Server
URL:          http://www.pureftpd.org/
Vendor:       A.Gulbrandsen, Frank DENIS
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        FTP
License:      GPL
Version:      1.1.0
Release:      20030103

#   package options
%option       with_pam  no

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/sourceforge/pureftpd/pure-ftpd-%{version}.tar.gz
Source1:      rc.pureftpd

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030103, make
PreReq:       OpenPKG, openpkg >= 20030103
%if "%{with_pam}" == "yes"
BuildPreReq:  PAM
PreReq:       PAM
%endif
AutoReq:      no
AutoReqProv:  no

%description
    Pure-FTPd is a fast, production-quality, standard-conformant FTP
    server, based upon Troll-FTPd. Unlike other popular FTP servers,
    it's designed to be secure in default configuration, has no known
    buffer overflow, it is really trivial to set up and it is especially
    designed for modern kernels. Features include PAM support, IPv6,
    chroot()ed home directories, virtual domains, built-in 'ls',
    anti-warez system, bounded ports for passive downloads, FXP
    protocol, bandwidth throttling, ratios, LDAP, XML and HTML reports,
    support for external programs to post-process uploads and more.

%prep
    %setup -q -n pure-ftpd-%{version}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
%if "%{with_pam}" == "yes"
    CPPFLAGS="-I`%{l_prefix}/etc/rc --query pam_incdir`" \
    LDFLAGS="-L`%{l_prefix}/etc/rc --query pam_libdir`" \
%endif
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/pureftpd \
        --without-inetd \
        --without-humor \
        --without-cookie \
        --without-welcomemsg \
%if "%{with_pam}" == "yes"
        --with-pam \
%endif
        --with-ftpwho \
        --with-virtualhosts \
        --with-language=english
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.pureftpd} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    strip $RPM_BUILD_ROOT%{l_prefix}/sbin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
%if "%{with_pam}" == "yes"
    #   add PAM configuration entry
    if [ $1 -eq 1 ]; then
        $RPM_INSTALL_PREFIX/sbin/pamtool --add --smart --name=pureftpd
    fi
%endif

%preun
%if "%{with_pam}" == "yes"
    #   remove PAM configuration entry
    if [ $1 -eq 0 ]; then
        $RPM_INSTALL_PREFIX/sbin/pamtool --remove --smart --name=pureftpd
    fi
%endif

